function timer(time){
    // Set the date we're counting down to
    let countDownDate = new Date(time).getTime();

    // Update the count down every 1 second
    let x = setInterval(function () {

        // Get today's date and time
        let now = new Date().getTime();

        // Find the distance between now and the count down date
        let distance = countDownDate - now;

        // Time calculations for days, hours, minutes and seconds
        let minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
        let seconds = Math.floor((distance % (1000 * 60)) / 1000);

        document.getElementById("timer").innerHTML =  minutes + "m " + seconds + "s ";
        document.getElementById("timer-desc").innerHTML = "Qr code is valid 5 minutes"

        // If the count down is over, write some text
        if (distance < 0) {
            clearInterval(x);
            document.getElementById("timer").innerHTML = "Expired";
            document.getElementById("timer-desc").style.display = "none";
            document.getElementById("qr").style.display = "none";
            document.getElementById("amount").style.display = "none";
            if(document.getElementById("timer-reset")){
                document.getElementById("timer-reset").style.display = "block";
            }
        }
    }, 1000);
}